gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.DruidPage System.Obsolete A widget used to implement first and last pages in a druid's sequence.

A druid can be thought of as having a page that starts the sequence, one or more pages that end the sequences (there can be multiple end pages if the flow of pages diverges at some point) and some pages that are in between the start and end pages.

The widget is for the first and last pages in a druid's sequence of pages. Pages in the "middle" of a sequence should use .

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Position in druid.
  Creates a new widget.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  Position in druid.
  Use an antialiased canvas.
  The title.
  The introduction text.
  The logo in the upper right corner.
  The watermark on the left.
  The top watermark.
  Creates a new widget with the values given.
  It is acceptable for any of the reference values to be null.
- Property
  2.24.0.0
  Gdk.Color The color of the page border. The color.
- Method
  2.24.0.0
  System.Void `` `` `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type an object of type an object of type Constructs a new widget.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  Gdk.Pixbuf The logo to display in the top right corner. the logo, as a If set to , then no logo will be displayed.
- Property
  2.24.0.0
  Gdk.Color The background color to render the logo image against. The color.
- Property
  2.24.0.0
  System.UInt32 The position of the page within the druid. a
- Property
  2.24.0.0
  System.String The current text of the page. The text.
- Property
  2.24.0.0
  Gdk.Color The background color of the main text area. The color.
- Property
  2.24.0.0
  Gdk.Color The color of the text in the body of the page. The color.
- Property
  2.24.0.0
  System.String The page title. The page title.
- Property
  2.24.0.0
  Gdk.Color The color of the title text. The color.
- Property
  2.24.0.0
  Gdk.Pixbuf The watermark image to display on the top strip on the druid. The watermark, as a If set to , then no top watermark will be displayed.
- Property
  2.24.0.0
  Gdk.Pixbuf The watermark image to display on the left strip on the druid. The watermark, as a If set to , then no left-side watermark will be displayed.